shishi_key_from_random(3)

NAME
shishi_key_from_random - API function

SYNOPSIS
#include <shishi.h>

int shishi_key_from_random(Shishi * handle, int32_t type, const char * rnd, size_t rndlen, Shishi_key ** outkey);

ARGUMENTS

Shishi * handle
    Shishi library handle create by shishi_init().

int32_t type
    type of key.

const char * rnd
    random data.

size_t rndlen
    length of random data.

Shishi_key ** outkey
    pointer to structure that will hold newly created key information

DESCRIPTION
Create a new Key information structure, and set the key type and key value using shishi_random_to_key(). KEY contains a newly allocated structure only if this function is successful.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.